SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Security)  >   RSA Digital Certificate Manager Vendors:   EMC
(EMC Issues Fix for RSA Digital Certificate Manager) Apache Multiple Flaws Let Remote Users Deny Service or Execute Arbitrary Code
SecurityTracker Alert ID:  1031914
SecurityTracker URL:  http://securitytracker.com/id/1031914
CVE Reference:   CVE-2014-0231   (Links to External Site)
Date:  Mar 11 2015
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 6.9 Build 558
Description:   Several vulnerabilities were reported in Apache. A remote user can execute arbitrary code on the target system. A remote user can cause denial of service conditions. RSA Digital Certificate Manager is affected by one vulnerability.

On a system that uses mod_cgid hosted CGI scripts, a remote user can send specially crafted data to cause the target child process to hang [CVE-2014-0231]. Rainer Jung of the ASF reported this vulnerability.

On systems using the WinNT MPM with the default AcceptFilter, a remote user can send specially crafted data to trigger a memory leak [CVE-2014-3523]. Jeff Trawick of the ASF reported this vulnerability.

On systems configured as a reverse proxy, a remote user can send specially crafted data to trigger a flaw in mod_proxy and cause the child process to crash [CVE-2014-0117]. This can lead to denial of service conditions on a threaded MPM. Marek Kroemeke, AKAT-1, and 22733db72ab3ed94b5f8a1ffcde850251fe6f466 (via HP ZDI) reported this vulnerability.

On systems where request body decompression is configured using the 'DEFLATE' input filter, a remote user can send a specially crafted request to cause mod_deflate to consume excessive memory and CPU resources [CVE-2014-0118]. Giancarlo Pellegrino and Davide Balzarotti reported this vulnerability.

On systems using a threaded MPM and with a public server status page, a remote user can send a specially crafted request to trigger a heap overflow in mod_status and potentially execute arbitrary code [CVE-2014-0226]. Marek Kroemeke, AKAT-1, and 22733db72ab3ed94b5f8a1ffcde850251fe6f466 (via HP ZDI) reported this vulnerability.

Impact:   A remote user can execute arbitrary code on the target system.

A remote user can cause denial of service conditions.

Solution:   EMC has issued a fix for CVE-2014-0231 for RSA Digital Certificate Manager (6.9 Build 558; Advisory ESA-2015-014).
Vendor URL:  httpd.apache.org/ (Links to External Site)
Cause:   Access control error, Resource error, State error
Underlying OS:  Linux (Any), UNIX (Solaris - SunOS), Windows (Any)

Message History:   This archive entry is a follow-up to the message listed below.
Jul 21 2014 Apache Multiple Flaws Let Remote Users Deny Service or Execute Arbitrary Code



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC